 html {
            scroll-behavior: smooth;
            overflow-x: hidden;
        }
        #nav-links a {
            position: relative;
            text-decoration: none;
            color: #ffffff;
            font-weight: 500;
            padding: 8px 12px;
            transition: color 0.3s ease;
        }

        #nav-links a::after {
            content: "";
            position: absolute;
            left: 0;
            bottom: 0;
            width: 0;
            height: 2px;
            background-color: #facc15;
            transition: width 0.3s ease;
        }

        #nav-links a:hover {
            color: #facc15;
        }

        #nav-links a:hover::after {
            width: 100%;
        }
        #nav-links a.active {
            color: #facc15;
        }

        #nav-links a.active::after {
            width: 100%;
        }